#ifndef __MODELS
#define __MODELS

#include "fileio.h"
#include "vectors.h"
enum{
	kTransparencyOff,
	kTransparencyOn,
	kTransparencyGhost
};

extern float gShadowZoom;

void ModelLoad(tFileRef modelRef);
void ModelDispose(tFileRef modelRef);
void ModelsUnloadAll();
void DrawModel(tFileRef modelRef,int allowTransparency,int textureSet);
void DrawModelShadow(tFileRef modelRef,float shadowLength);
float ModelGetMaxExtends(tFileRef modelRef);
tVector3 ModelGetCenter(tFileRef modelRef);
float ModelGetCenterMaxExtends(tFileRef modelRef);

#endif